{% load static tailwind_tags %}
<!DOCTYPE html>
<html lang="en" class="scroll-smooth">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" type="image/png" href="{% static 'img/favicon.png' %}">
    {% tailwind_css %}
    <title>{% block title %}{% endblock %} | Cat Vending Machine</title>
  </head>
  <body class="bg-ctp-base text-ctp-text">
    <div class="flex flex-col min-h-screen" id="layout">  
      <!-- ---------- nav area ---------- -->
      
      <!-- TODO: responsive menu for mobile -->
      <nav class="bg-ctp-mantle">
        <div class="max-w-screen-xl flex flex-wrap items-center justify-start mx-auto px-4">
          <!-- home link -->
          <a href="{% url 'home' %}" class="justify-self-start py-4 text-xl text-ctp-text bg-gradient-to-r from-ctp-pink to-ctp-lavender hover:from-ctp-green hover:to-ctp-sapphire inline-block text-transparent bg-clip-text font-bold">😻 Vending Machine</a> 
          <!-- button for hidden menu -->
          <button data-collapse-toggle="navbar-default" type="button" class="inline-flex items-center p-2 w-10 h-10 justify-center text-sm text-gray-500 rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600" aria-controls="navbar-default" aria-expanded="false">
            <span class="sr-only">Open main menu</span>
            <svg class="w-5 h-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 17 14">
              <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 1h15M1 7h15M1 13h15"/>
            </svg>
          </button>
          <div class="hidden w-full flex-grow md:block md:w-auto pr-4" id="navbar-default">
            <ul class="flex flex-col place-content-end pl-4 pb-4 md:p-0 md:flex-row md:space-x-4 rtl:space-x-reverse md:mt-0">
              <li><a href="{% url 'shop' %}" class="text-ctp-text hover:text-ctp-pink">Shop</a></li>
              {% if request.user.is_authenticated %}
              <li>
                <form action="{% url 'logout' %}" method="post">
                  {% csrf_token %}
                  <!-- <button type="submit" class="inline-block px-2 py-1 text-ctp-base font-semibold rounded-xl bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-pink hover:to-ctp-mauve">Log Out</button> -->
                  <button type="submit" class="text-ctp-text hover:text-ctp-pink">Logout</button>
                </form>
              </li>
              <li><a href="{% url 'account' %}" class="text-ctp-text hover:text-ctp-pink">{{ user.get_username }}</a></li>
              {% endif %}
              <li>
                <a href="{% url 'account' %}" class="text-ctp-text hover:text-ctp-pink">
                  <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
                  <path stroke-linecap="round" stroke-linejoin="round" d="M17.982 18.725A7.488 7.488 0 0 0 12 15.75a7.488 7.488 0 0 0-5.982 2.975m11.963 0a9 9 0 1 0-11.963 0m11.963 0A8.966 8.966 0 0 1 12 21a8.966 8.966 0 0 1-5.982-2.275M15 9.75a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
                  </svg>
                </a>
              </li>
            </ul>
          </div>
          <!-- TODO: align right on small -->
          <div
              class="pl-4 md:pl-0"
              hx-get="{% url 'hx_menu_cart' %}"
              hx-trigger="update-menu-cart from:body"
              hx-swap="innerHTML"
            >
            {% include "cart/partials/menu_cart.html" %}
          </div>
        </div>
      </nav>

      <!-- ---------- main content area ---------- -->
      
        <main class="flex-1">
          
          {% block content %}
          {% endblock %}
          
        </main>
        
      <!-- ---------- footer area ---------- -->
      
      <footer class="bg-ctp-crust w-full mt-4">
        <div class="max-w-6xl mx-auto py-10 px-6 xl:px-0 flex-row md:flex justify-between">
          <div class="footer-left basis-1/2 mt-4">
            <h2 class="mb-5 uppercase text-ctp-surface1">About</h2>
            <p class="text-sm text-ctp-overlay1">The Cat Vending Machine is a simple demo app used to showcase the capabilities of GitLab. May the universe bless (or curse) you with a cat. You can find the <a href="https://gitlab.com/blee-group/neko/app/jihanki" target="blank" class="text-ctp-blue hover:text-ctp-pink">source</a> here.</p>
          </div>
          
          <div class="footer-middle flex-none mt-4">
            <h2 class="mb-5 uppercase text-ctp-surface1">Tech</h2>
            <ul class="text-sm text-ctp-overlay1">
              <li>Developed with <a href="https://www.djangoproject.com/" target="_blank" class="text-sm text-ctp-blue hover:text-ctp-pink">Django</a></li>
              <li>CSS with <a href="https://github.com/timonweb/django-tailwind" target="_blank" class="text-sm text-ctp-blue hover:text-ctp-pink">Tailwind</a></li>
              <li>Theme by <a href="https://github.com/catppuccin" target="_blank" class="text-sm text-ctp-blue hover:text-ctp-pink">Catppuccin</a></li>
            </ul>
          </div>

          <div class="footer-right mt-4">
            <h2 class="mb-5 uppercase text-ctp-surface1">Social</h2>

            <ul>
              <li><a href="#" class="text-sm text-ctp-blue hover:text-ctp-pink">Xwitter</a></li>
              <li><a href="#" class="text-sm text-ctp-blue hover:text-ctp-pink">Instagrand</a></li>
              <li><a href="#" class="text-sm text-ctp-blue hover:text-ctp-pink">Tracebook</a></li>
              <li><a href="#" class="text-sm text-ctp-blue hover:text-ctp-pink">LinkMeIn</a></li>
            </ul>
            
          </div>
        </div>
      </footer>  
    </div>
    <script src="https://unpkg.com/htmx.org@1.9.11"></script>
    <script>
      document.addEventListener("DOMContentLoaded", function() {
        const toggleButton = document.querySelector('[data-collapse-toggle="navbar-default"]');
        const navbar = document.getElementById('navbar-default');

        toggleButton.addEventListener("click", function() {
          navbar.classList.toggle('hidden');
          const expanded = navbar.classList.contains('hidden') ? 'false' : 'true';
          toggleButton.setAttribute('aria-expanded', expanded);
        });
      });
    </script>
  </body>
</html>
